Page MenuHomePhabricator

2D Fast Marching for 4D data intermediate state displays segmentation in other timesteps
Open, LowPublic

Description

Select MITK-Data/3D+t-Heart dataset:

  1. Create new Segmentation using 2D tools -> 2D Fast Marching
  2. Set a seedpoint at timepoint 0
  3. Switch to timepoint 1
    • The green intermediate segmentation is also shown in this timestep
  4. Confirm the segmentation
    • Now the segmentation is only visible at timepoint 0

Event Timeline

gaoh triaged this task as Normal priority.Jan 8 2020, 5:42 PM
gaoh created this task.
kislinsk edited projects, added MITK (2018-04-4); removed MITK.Jan 9 2020, 2:52 PM
kislinsk edited projects, added MITK; removed MITK (2018-04-4).Feb 11 2020, 4:42 PM
kislinsk lowered the priority of this task from Normal to Low.Apr 15 2020, 7:39 AM
kislinsk edited projects, added MITK (2020); removed MITK, Restricted Project.
kislinsk moved this task from Backlog to Segmentation on the MITK (2020) board.
floca added a subscriber: floca.

Please check if problem still persists as soon as T27490 is merged into develop or directly with D329 (is open for review by the way ;)

floca added a subscriber: thomass.Aug 6 2020, 11:32 PM

@thomass Can you confirm the problem in your todays check or is it fixed by the tasks mentioned above?

I can partly confirm it.

  1. The segmentation is performed on the current selected timestep (if you switch to timestep 2 --> segmentation occurs on timestep 2 = CORRECT; maybe fixed with the task!?)
  2. But if you have shift+clicked on timestep 0 and then change to timestep 2 (I guess this would not normally be done but theoretically it could), the green contour remains. (BUG)

So I would propose to fix that by reseting the contour, whenever the timestep changes.

File is FastMarchingTool.cpp

I am not sure if I am missing out any side effects, but it works correctly if the following line:

this->Reset();

is either added to function Initialize() or SetCurrentTimeStep(int t)

Initialize() is also called on activating the plugin, so it would'n't hurt but probably also wouldn't make a difference to put it there.

So I have a fix for the contour problem but what is missing is that the pointset is still drawn on timestep 0 instead of the current timestep and I have to figure out why.